Skip to main content
POST
Create Order

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

storeId
string
required

Store ID

Example:

"64e5a8a1af49a89df37e4ee7"

Body

application/json

Request body for creating an order.

orderId
string
required

Unique identifier for the order.

createdAt
string<date-time>
required

ISO 8601 date string for when the order was created.

lineItems
object[]
required

List of line items in the order.

Minimum array length: 1
customer
object

Customer information.

shipping
object

Shipping information.

totalPrice
number | null

Total order price including tax and shipping.

Required range: x >= 0
subtotalPrice
number | null

Subtotal price excluding tax and shipping.

Required range: x >= 0
totalTax
number | null

Total tax amount.

Required range: x >= 0
totalDiscount
number | null

Total discount amount applied to the order (e.g. coupon codes, promotions).

Required range: x >= 0
billingAddress
object

Billing address.

tags
string[] | null

Optional tags associated with the order.

currencyCode
string | null

Currency code from the ISO 4217 standard (e.g., USD, EUR, GBP).

locationId
string | null

Optional. Pin this order to a specific fulfillment location. Must be a location id (loc_...) returned by GET /inventory-levels โ€” either one of your own warehouses or a location at a linked 3PL fulfillment service. When provided, the fulfillment group's origin address is sourced from the location row. Omit to use your team's default origin address.

Example:

"loc_4d8e1a2b3c"

Response

Success

Successful order creation response.

orderId
string
required

Internal Redo order ID.

externalOrderId
string
required

Original external order ID provided in the request.